using System;
using System.Runtime.InteropServices;

class Program
{
    static void Main(string[] args)
    {
        string[] s = Console.ReadLine().Split();
        
        int N = int.Parse(s[0]);
        int Q = int.Parse(s[1]);
        int[] d = new int[N];
        int[] p=new int[N];
        int brojpakovanja = 0;
        int[]brojpodanu=new int[N];

        for(int i= 0; i < N; i++)
        {
            string[] a = Console.ReadLine().Split();
            d[i]= int.Parse(a[0]);
            p[i]= int.Parse(a[0]);
        }
        int[]pitanje = new int[Q];
        for(int i= 0; i < Q; i++)
        {
            pitanje[i] = int.Parse(Console.ReadLine());
        }
        int resenje = 0;
        int aktuelnapakovanja = 0;
        int brojac= 0;
        foreach(int i in pitanje)
        {
            for(int j= 0; j < N; j++)
            {
                for(int g=0; g < N; g++)
                {
                    if (j == d[g]) aktuelnapakovanja = aktuelnapakovanja + p[g];
                }
                if (aktuelnapakovanja > 1) { resenje++; aktuelnapakovanja--; }
                if (i == pitanje[brojac]) { Console.WriteLine(resenje); brojac++;}
            }
        }
    }
 }